sys-fs/cachefilesd: Remove unused from FILESDIR
authorJason Zaman <perfinion@gentoo.org>
Mon, 18 Jul 2016 03:08:48 +0000 (11:08 +0800)
committerJason Zaman <perfinion@gentoo.org>
Mon, 18 Jul 2016 03:08:48 +0000 (11:08 +0800)
Package-Manager: portage-2.2.28

sys-fs/cachefilesd/cachefilesd-0.10.5-r4.ebuild
sys-fs/cachefilesd/files/0.10.1-makefile.patch [deleted file]
sys-fs/cachefilesd/files/cachefilesd-0.10.4-makefile.patch [moved from sys-fs/cachefilesd/files/0.10.4-makefile.patch with 100% similarity]
sys-fs/cachefilesd/files/cachefilesd-2.init [deleted file]
sys-fs/cachefilesd/files/cachefilesd.init [deleted file]

index ada6dc45a12c3901a403f1c75bbba6fca05734c5..31782911a94efaaf60701ddbad9a50ae58bea3fb 100644 (file)
@@ -19,7 +19,7 @@ RDEPEND="selinux? ( sec-policy/selinux-cachefilesd )"
 DEPEND=""
 
 src_prepare() {
-       epatch "${FILESDIR}"/0.10.4-makefile.patch
+       epatch "${FILESDIR}"/${PN}-0.10.4-makefile.patch
        tc-export CC
        if ! use selinux; then
                sed -e '/^secctx/s:^:#:g' -i cachefilesd.conf || die
@@ -38,8 +38,8 @@ src_install() {
 
        dodoc howto.txt
 
-       newconfd "${FILESDIR}"/cachefilesd.conf ${PN}
-       newinitd "${FILESDIR}"/cachefilesd-3.init ${PN}
+       newconfd "${FILESDIR}"/${PN}.conf ${PN}
+       newinitd "${FILESDIR}"/${PN}-3.init ${PN}
 
        systemd_dounit ${PN}.service
        systemd_newtmpfilesd "${FILESDIR}"/${PN}-tmpfiles.d ${PN}.conf
diff --git a/sys-fs/cachefilesd/files/0.10.1-makefile.patch b/sys-fs/cachefilesd/files/0.10.1-makefile.patch
deleted file mode 100644 (file)
index af029c9..0000000
+++ /dev/null
@@ -1,21 +0,0 @@
-diff --git a/Makefile b/Makefile
-index 15a8445..d650f47 100644
---- a/Makefile
-+++ b/Makefile
-@@ -1,4 +1,3 @@
--CFLAGS                := -g -O2 -Wall
- INSTALL               := install
- DESTDIR               :=
- BUILDFOR      :=
-@@ -21,7 +20,10 @@ endif
- #
- all: cachefilesd
--cachefilesd: cachefilesd.c Makefile
-+cachefilesd.o: cachefilesd.c
-+      $(CC) $(CFLAGS) -c $<
-+
-+cachefilesd: cachefilesd.o
-       $(CC) $(CFLAGS) $(LDFLAGS) -o $@ $<
- #
diff --git a/sys-fs/cachefilesd/files/cachefilesd-2.init b/sys-fs/cachefilesd/files/cachefilesd-2.init
deleted file mode 100644 (file)
index 420c0e8..0000000
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-depend() {
-       need localmount
-       use logger
-       before nfsmount
-}
-
-checkxattr() {
-       local testpath testfile ret
-       # SELinux requires xattrs, so we can assume things work already
-       [ -f /sys/fs/selinux/status ] && return 0;
-       testpath=$(awk '/^[[:space:]]*dir/ {print $2}' /etc/cachefilesd.conf)
-       testfile="${testpath}/.tmp-xattr-test.cachefilesd"
-       touch "${testfile}"
-       # creates a file in the testpath and tries to set an attribute on it to check
-       # if the support is available 
-       attr -s test -V xattr "${testfile}" 2>&1 > /dev/null
-       ret=$?
-       rm -f "${testfile}"
-       [ ${ret} -ne 0 ] && eerror "xattr support missing on the ${testpath} filesystem"
-       return ${ret}
-}
-
-start() {
-       ebegin "Starting cachefilesd"
-       checkxattr || return $? 
-       # check if the cachefiles modules is loaded (or builtin)
-       if [ ! -c /dev/cachefiles ] ; then
-               local ret
-               einfo "/dev/cachefiles doesn't exist, trying to modprobe cachefiles"
-               modprobe cachefiles
-               ret=$?
-               if [ $ret -ne 0 ] ; then
-                       eerror "cachefiles modules cannot be loaded so cachefilesd "
-                       eerror  "cannot be started, aborting. Did you build fscache in your "
-                       eerror  "kernel? Note that you need a 2.6.30 or better kernel"
-                       return $ret
-               fi
-       fi
-       start-stop-daemon --start --pidfile /var/run/cachefilesd.pid --exec /sbin/cachefilesd -- ${OPTIONS}
-       eend $? "Failed to start cachefilesd. Check the system log to see the error"
-
-}
-
-stop() {
-       ebegin "Stopping cachefilesd"
-       start-stop-daemon --stop --exec /sbin/cachefilesd --pidfile /var/run/cachefilesd.pid
-       eend $? "Failed to stop cachefilesd"
-}
-
diff --git a/sys-fs/cachefilesd/files/cachefilesd.init b/sys-fs/cachefilesd/files/cachefilesd.init
deleted file mode 100644 (file)
index c972aea..0000000
+++ /dev/null
@@ -1,52 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-depend() {
-       need localmount
-       use logger
-       before nfsmount
-}
-
-checkxattr() {
-       local testpath testfile ret
-       testpath=$(awk '/^[[:space:]]*dir/ {print $2}' /etc/cachefilesd.conf)
-       testfile="${testpath}/.tmp-xattr-test.cachefilesd"
-       touch "${testfile}"
-       # creates a file in the testpath and tries to set an attribute on it to check
-       # if the support is available 
-       attr -s test -V xattr "${testfile}" 2>&1 > /dev/null
-       ret=$?
-       rm -f "${testfile}"
-       [ ${ret} -ne 0 ] && eerror "xattr support missing on the ${testpath} filesystem"
-       return ${ret}
-}
-
-start() {
-       ebegin "Starting cachefilesd"
-       checkxattr || return $? 
-       # check if the cachefiles modules is loaded (or builtin)
-       if [ ! -c /dev/cachefiles ] ; then
-               local ret
-               einfo "/dev/cachefiles doesn't exist, trying to modprobe cachefiles"
-               modprobe cachefiles
-               ret=$?
-               if [ $ret -ne 0 ] ; then
-                       eerror "cachefiles modules cannot be loaded so cachefilesd "
-                       eerror  "cannot be started, aborting. Did you build fscache in your "
-                       eerror  "kernel? Note that you need a 2.6.30 or better kernel"
-                       return $ret
-               fi
-       fi
-       start-stop-daemon --start --pidfile /var/run/cachefilesd.pid --exec /sbin/cachefilesd -- ${OPTIONS}
-       eend $? "Failed to start cachefilesd. Check the system log to see the error"
-
-}
-
-stop() {
-       ebegin "Stopping cachefilesd"
-       start-stop-daemon --stop --exec /sbin/cachefilesd --pidfile /var/run/cachefilesd.pid
-       eend $? "Failed to stop cachefilesd"
-}
-